<help>Squid nao start após atualização para versão 2.2</help>



  • Boa noite amigos…fiz a atualização do meu pfsense de 2.1.5 para 2.2 e o serviço Squid não esta mais inicializando. Segue mensagem de log do system ->

    Jan 28 22:47:56 php-fpm[38443]: /pkg_edit.php: The command '/usr/pbi/squid-i386/sbin/squid -D' returned exit code '1', the output was 'Shared object "libz.so.5" not found, required by "libmd5.so.1"'
    Jan 28 22:48:06 check_reload_status: Reloading filter
    Jan 28 22:48:08 php-fpm[46598]: /rc.filter_configure_sync: SQUID is installed but not started. Not installing "nat" rules.
    Jan 28 22:48:08 php-fpm[46598]: /rc.filter_configure_sync: SQUID is installed but not started. Not installing "pfearly" rules.
    Jan 28 22:48:08 php-fpm[46598]: /rc.filter_configure_sync: SQUID is installed but not started. Not installing "filter" rules.

    Versao do pfsense
    2.2-RELEASE (i386)
    FreeBSD 10.1-RELEASE-p4

    Alguem já teve este problema ou pode dar um dica ??? Abraço !





  • Se o seu hardware suportar,  use a versão  64bits do pfsense.



  • Trata-se de um bug da versão 32 bits ou foi somente um acaso ?

    Pergunto pois caso seja um bug não irei realizar o update dos meus outros pfsense 32 bits…obrigado.



  • Até que core team recompile o squid com os parametros já acertados.



  • Eu me lasquei..! nao tenho costume de fazer as atualizações quando saem.. mas estava aqui agora e resolvi acessar alguns ambientes q adm.. e acabei atualizando para a 2.2.. resultado, nao funciona proxy e meu cliente é muito rigoroso com isso. Estou a 120km de distancia.. e estou vendo q vou ter q morrer em uma reinstalação, pois tudo q vi nos fóruns nao funcionou..



  • O pbi foi refeito, podem testar se o proxy transparente na versão i386 já está ok?

    squid-3.4.10_2-amd64.pbi  09-Feb-2015 17:22
    squid-3.4.10_2-i386.pbi  09-Feb-2015 17:41

    no meu caso funcionou!!!



  • Obrigado pelo feedback



  • me fudi também, vou tentar reinstalar a versao 64 e ver o que rola


Log in to reply